org.apache.cassandra.concurrent

## Class ExecutorLocals

- java.lang.Object
- - org.apache.cassandra.concurrent.ExecutorLocals

    public class ExecutorLocals
    extends java.lang.Object

### Field Summary

Fields
`ClientWarn.State` `clientWarnState`
`TraceState` `traceState`

### Method Summary

All Methods Static Methods Concrete Methods
`static ExecutorLocals` `create()` This creates a new ExecutorLocals object based on what is already set.
`static ExecutorLocals` `create(TraceState traceState)`
`static void` `set(ExecutorLocals locals)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### traceState

    public final TraceState traceState

#### clientWarnState

    public final ClientWarn.State clientWarnState

### Method Detail

#### create

    public static ExecutorLocals create()

This creates a new ExecutorLocals object based on what is already set.

Returns:
  an ExecutorLocals object which has the trace state and client warn state captured if either has been set, or null if both are unset. The null result short-circuits logic in `AbstractLocalAwareExecutorService.newTaskFor(Runnable, Object, ExecutorLocals)`, preventing unnecessarily calling `set(ExecutorLocals)`.

#### create

    public static ExecutorLocals create(TraceState traceState)

#### set

    public static void set(ExecutorLocals locals)